Summary: A streaming audio player
Name: streamtuner
Version: 0.12.4
Release: 0
License: custom open license
Group: Applications/Multimedia
URL: http://www.nongnu.org/streamtuner/
Source: http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.gz

Packager: Matthew Booth <matthew@revolutionwall.net>
Vendor: Jean-Yves Lefort <jylefort@brutele.be>

Requires: glib2 >= 2.4
Requires: gtk2 >= 2.4
Requires: curl >= 7.10.8
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: curl-devel >= 7.10.8
BuildRequires: scrollkeeper

BuildRoot: %{_tmppath}/%{name}-buildroot

%package devel
Summary: Development files for %{name}
Group: Development/Libraries

%description
streamtuner is a stream directory browser. Through the use of a plugin system,
it offers an intuitive GTK+ interface to Internet radio directories such as
SHOUTcast and Live365.

%description devel
Development files for streamtuner

%prep
%setup

%build
%configure
%{__make}

%install
%makeinstall
rm -rf ${RPM_BUILD_ROOT}/var

%post
scrollkeeper-update

%files
%defattr(-, root, root)
%{_bindir}
%{_libdir}/%{name}/plugins/shoutcast.so
%{_docdir}/%{name}/*
%{_prefix}/share/applications
%{_prefix}/share/locale/*/LC_MESSAGES
%{_prefix}/share/omf/%{name}
%{_prefix}/share/pixmaps

%files devel
%defattr(-, root, root)
%{_includedir}
%{_libdir}/pkgconfig
%{_libdir}/%{name}/plugins/shoutcast.a
%{_libdir}/%{name}/plugins/shoutcast.la

%changelog
* Mon Aug 02 2004 Matthew Booth <matthew@revolutionwall.net> - 0.12.4
Created spec file
